Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml
Interface ErrorReporter

All Known Implementing Classes:
  SimpleErrorReporter, Tracer

public interface ErrorReporter

An interface for reporting SCXML errors to the host environment, containing the definition of commonly occuring errors while executing SCXML documents.

Field Summary
`static String` | `EXPRESSION_ERROR` An expression language error.
`static String` | `ILLEGAL_CONFIG` Illegal state machine configuration.
`static String` | `ILLEGAL_INITIAL` An initial state for a composite state whose Transition does not.
`static String` | `NO_INITIAL` Missing initial state for a composite state or for the smxml root.
`static String` | `NON_DETERMINISTIC` Non-deterministic situation has occured - there are more than one enabled transitions in conflict.
`static String` | `UNDEFINED_VARIABLE` A variable referred to by assign name attribute is undefined.
`static String` | `UNKNOWN_ACTION` Unknown action - unsupported executable content.

Method Summary
`void` | `onError(String errCode, String errDetail, Object errCtx)` Handler for reporting an error.

Field Detail

### NO_INITIAL

    public static final String NO_INITIAL

  Missing initial state for a composite state or for the smxml root.

  See Also:
    `SCXML.getInitialState()`, `State.getInitial()`, Constant Field Values

### ILLEGAL_INITIAL

    public static final String ILLEGAL_INITIAL

  An initial state for a composite state whose Transition does not. Map to a descendant of the composite state.

  See Also:
    Constant Field Values

### UNKNOWN_ACTION

    public static final String UNKNOWN_ACTION

  Unknown action - unsupported executable content. List of supported. actions: assign, cancel, elseif, else, if, log, send, var

  See Also:
    Constant Field Values

### ILLEGAL_CONFIG

    public static final String ILLEGAL_CONFIG

  Illegal state machine configuration. Either a parallel exists which does not have all its AND sub-states active or there are multiple enabled OR states on the same level.

  See Also:
    Constant Field Values

### NON_DETERMINISTIC

    public static final String NON_DETERMINISTIC

  Non-deterministic situation has occured - there are more than one enabled transitions in conflict.

  See Also:
    Constant Field Values

### UNDEFINED_VARIABLE

    public static final String UNDEFINED_VARIABLE

  A variable referred to by assign name attribute is undefined.

  See Also:
    Constant Field Values

### EXPRESSION_ERROR

    public static final String EXPRESSION_ERROR

  An expression language error.

  See Also:
    Constant Field Values

Method Detail

### onError

    public void onError(String errCode,
                        String errDetail,
                        Object errCtx)

  Handler for reporting an error.

  Parameters:
    `errCode` - one of the ErrorReporter's constants
    `errDetail` - human readable description
    `errCtx` - typically an SCXML element which caused an error, may be accompanied by additional information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 The Apache Software Foundation. All Rights Reserved.